# Interface methods for submodule: StoppingCriterionBase
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: StoppingCriterionBase
class StoppingCriterionBaseProxy(_ObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	def IsSatisfied(self) -> bool:
		""""""
		...

	def GetDescription(self) -> str:
		""""""
		...

